Pular para o conteúdo principal
PUT
/
webhooks
/
v3
/
{appId}
/
settings
Atualizar configurações de webhook
curl --request PUT \
  --url https://api.hubapi.com/webhooks/v3/{appId}/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "targetUrl": "https://www.example.com/hubspot/target",
  "throttling": {
    "maxConcurrentRequests": 10,
    "period": "SECONDLY"
  }
}
'
{
  "createdAt": "2020-01-24T16:27:59Z",
  "targetUrl": "https://www.example.com/hubspot/target",
  "throttling": {
    "maxConcurrentRequests": 10,
    "period": "SECONDLY"
  },
  "updatedAt": "2020-01-24T16:32:43Z"
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

appId
integer<int32>
obrigatório

O ID do aplicativo de destino.

Corpo

application/json

New webhook settings to configure for the app, or updated settings to replace existing configuration.

New or updated webhook settings for an app.

targetUrl
string
obrigatório

Um URL publicamente disponível para o HubSpot chamar onde as cargas úteis de eventos serão entregues. Consulte link-so-some-doc para detalhes sobre o formato dessas cargas úteis de eventos.

throttling
object
obrigatório

Configuration details for webhook throttling.

Resposta

successful operation

Webhook settings for an app.

createdAt
string<date-time>
obrigatório

Quando esta assinatura foi criada. Formatado como milissegundos a partir de era Unix.

targetUrl
string
obrigatório

Um URL publicamente disponível para o HubSpot chamar onde as cargas úteis de eventos serão entregues. Consulte link-so-some-doc para detalhes sobre o formato dessas cargas úteis de eventos.

throttling
object
obrigatório

Configuration details for webhook throttling.

updatedAt
string<date-time>

Quando esta assinatura foi atualizada pela última vez. Formatado como milissegundos a partir de era Unix.

Last modified on April 13, 2026